package jq.qde;

import java.io.PrintStream;

import jq.qde.space.value.QualitativeValue;

/**
 * @author oursland
 */
public class QualitativeTransition {
	public final QualitativeValue state;
	public final QualitativeDifferentialEquation system;
	
	public QualitativeTransition(QualitativeValue state, QualitativeDifferentialEquation system) {
		this.state = state;
		this.system = system;
	}
	
	public void printSpecification(PrintStream out, String prefix) {
		out.print(prefix);
		out.print("(");
		System.out.print(state.toSpecification());
		out.print(" -> ");
		out.print(system.getName());
		out.print(")");
	}
}
