package jq.parse;

import java.io.IOException;


/**
 * @author oursland
 */
public interface JQParseListener {
	void qspace(String var, String[] lms) throws IOException;
	void constraint(String constraint, String[] vars) throws IOException;
	void correspondence(String[] lms) throws IOException;
	void printname(String var, String name, String prefix) throws IOException;
	void startInitial() throws IOException;
	void init(String var, String mag, String low, String high, String dir) throws IOException;
	void endInitial() throws IOException;
	void startModified() throws IOException;
	void modified(String var, String mag, String low, String high, String dir) throws IOException;
	void endModified() throws IOException;
	void independent(String token) throws IOException;
	void eof();
}
