package jq.qde.space.value;

import java.io.PrintStream;

import jq.qde.space.QualitativeVariable;
import jq.qde.space.VariableQuantitySpace;
import jq.util.Abbrevable;

/**
 * @author oursland
 */
public interface QualitativeMagnitude extends Abbrevable {
	public QualitativeVariable getVariable();

	public boolean isUnknown();
	public boolean isInterval();
	public boolean isPoint();

	public boolean isZero();
	public boolean isInfinite();
	public QualitativeDirection getInfiniteSign();
	
	public void printSpecification(PrintStream out, String prefix);
	public QualitativeMagnitude[] getInitialValues(VariableQuantitySpace qspace);
}
