package jq.qde.space.value;

import jq.qde.space.QualitativeVariable;




/**
 * @author oursland
 */
public class ZeroLandmark extends MagnitudeLandmark {
	public ZeroLandmark(QualitativeVariable var) {
		super("0", var);
	}
	
	public boolean isZero() {
		return true;
	}
	
	public boolean isPositive() {
		return false;
	}
	
	public boolean isNegative() {
		return false;
	}

	protected void determineSign() {
	}
}
